Create¶
POST /api/v1/dialing_region/regist
Overview¶
Create a Self-built Node
Body Parameters¶
| Parameter | Type | Required | Description |
|---|---|---|---|
| internal | boolean | Y | Country attribute (true for domestic, false for overseas) Allow empty: False |
| isp | string | Y | ISP Allow empty: False |
| country | string | Y | Country Allow empty: False |
| province | string | Province Allow empty: True |
|
| city | string | City Allow empty: True |
|
| name | string | 【Testing Node】Nickname Allow empty string: True Allow empty: True |
|
| nameI18n | json | 【Testing Node】Nickname multilingual Allow empty: True |
|
| company | string | Company information Allow empty: True |
|
| keycode | string | Y | 【Testing Node】keycode (must be unique) Allow empty: False |
Parameter Supplementary Description¶
Request Example¶
curl 'https://openapi.guance.com/api/v1/dialing_region/regist' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"internal":false,"isp":"telecom","country":"Afghanistan","city":"Shahrak","keycode":"Afghanistan-Shahrak-telecom","name":"test","nameI18n":{"zh":"test","en":"test","zh-hant":"","id":""}}' \
--compressed
Response¶
{
"code": 200,
"content": {
"ak": {
"ak": "xxxx",
"external_id": "wksp_xxxx32",
"owner": "",
"parent_ak": "ak_xxxx20",
"sk": "xxxxxxx",
"status": "",
"update_at": -0
},
"regionInfo": {
"city": "Shahrak",
"company": "",
"country": "Afghanistan",
"create_at": -0,
"external_id": "ak_xxxx20-wksp_xxxx32",
"heartbeat": -0,
"internal": false,
"isp": "telecom",
"keycode": "Afghanistan-Shahrak-telecom",
"name": "test",
"nameEn": "test",
"nameI18n": {
"zh": "test",
"en": "test",
"zh-hant": "",
"id": ""
},
"owner": "custom",
"parent_ak": "",
"province": "",
"region": "",
"status": "",
"uuid": "reg_xxxx20"
}
},
"errorCode": "",
"message": "",
"success": true,
"traceId": "TRACE-A9074F0D-8F0B-4034-AD9B-9D8A894F1679"
}